Bug 1902 - Down in place with new display algorithm is very slow
Down in place with new display algorithm is very slow
Product: electric
Classification: Unclassified
Component: GUI:General
PC Linux
: P1 critical
: ---
Assigned To: developers
Depends on:
  Show dependency treegraph
Reported: 2011-04-15 05:55 UTC by strubin
Modified: 2011-04-15 20:09 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 05:55:04 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-06-09 16:22:07 **

(By the way pixel based algorithm causes a crash...)

I cannot really edit down in place because it takes very long to 
actually let me go down in place and when I am down in place everything
is very slow, selecting and zooming...

If you need a sample library try:

/import/async/electric/bugzilla/data/bugxxx/diffamp.jelib diffWcm{lay}
Descend into a larger cell
Comment 1 strubin 2011-04-15 15:37:44 UTC
** ORIGINALLY POSTED BY nadezhin on 2008-06-10 04:00:51 **

I fixed a crash in PixelDrawing algorithm.

I didn't notice slowness in VectorDrawing and LayerDrawing.
Please, attach your preferences and I shall try with them.
Comment 2 strubin 2011-04-15 15:37:47 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-06-10 10:51:57 **

Hi Dima, 

I have added the preferences in the directory for bug1711

Comment 3 strubin 2011-04-15 15:37:50 UTC
** ORIGINALLY POSTED BY nadezhin on 2008-06-11 07:39:37 **

Redisplay is not slow on my computer, even after loading Frankie's preferences.
It is not slow with any of three display algorithms.

However, preferences show that Frankie uses VectorDrawing algorithm.
Can you look at his screen and reproduce slowness on your screen ?
Comment 4 strubin 2011-04-15 15:37:52 UTC
** ORIGINALLY POSTED BY Steven Rubin on 2008-06-12 13:44:02 **

OK, I have done these things:

(1) Added a new "Display Control" preference that lets you turn off the dimming of upper levels of hierarchy when editing down-in-place (the alpha blending is killing you).
(2) Narrowed the red border around the cell when editing down-in-place and moved it outward so that it does not obscure any of the cell being edited.
(3) Offered a "Layers" preference to set the color of that border if you want it to be something other than red.
Comment 5 strubin 2011-04-15 15:37:55 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-06-12 15:51:47 **


I tried it and it works.  Thank you! For documentation you
want to mention:

..for those using Xorg and Xinerama, you might
want to use options ...

Comment 6 strubin 2011-04-15 15:37:57 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-06-25 19:10:22 **

Released in v8.07l and verified. Closing now.